import { BannerService } from "./banner.service";
export declare class BannerController {
    private readonly BannerService;
    constructor(BannerService: BannerService);
    findActive(query: Record<string, string>, lang: "en"): Promise<{
        status: boolean;
        message: string;
        data: any[];
    }>;
    findOfferBanner(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/banner/banner.entity").Banner[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/banner/banner.entity").Banner;
    }>;
}
